# nipy.labs.viz_tools.maps_3d.affine_img_src

nipy.labs.viz_tools.maps_3d.affine_img_src(data, affine, scale=1, name='AffineImage', reverse_x=False)

  Make a Mayavi source defined by a 3D array and an affine, for which the voxel of the 3D array are mapped by the affine.

  Parameters:
    data: 3D ndarray

      The data arrays

    affine: (4 x 4) ndarray

      The (4 x 4) affine matrix relating voxels to world coordinates.

    scale: float, optional

      An optional addition scaling factor.

    name: string, optional

      The name of the Mayavi source created.

    reverse_x: boolean, optional

      Reverse the x (lateral) axis. Useful to compared with images in radiologic convention.

  Notes

  The affine should be diagonal.